curl -X POST "https://ecommerce.jelou.ai/apps/{app_id}/branches" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "123 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
}
}'
{
"id": 1,
"name": "Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "123 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
},
"created_at": "2026-02-19T15:30:00Z",
"updated_at": "2026-02-19T15:30:00Z"
}
Create a new branch to organize your products by location.
curl -X POST "https://ecommerce.jelou.ai/apps/{app_id}/branches" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "123 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
}
}'
{
"id": 1,
"name": "Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "123 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
},
"created_at": "2026-02-19T15:30:00Z",
"updated_at": "2026-02-19T15:30:00Z"
}
Documentation Index
Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt
Use this file to discover all available pages before exploring further.
code must be unique per store. If you try to create two branches with the same code in the same store, you will receive a validation error.curl -X POST "https://ecommerce.jelou.ai/apps/{app_id}/branches" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "123 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
}
}'
{
"id": 1,
"name": "Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "123 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
},
"created_at": "2026-02-19T15:30:00Z",
"updated_at": "2026-02-19T15:30:00Z"
}
Was this page helpful?